coap_tcp.c File Reference
`#include "coap3/coap_internal.h"`
`#include <errno.h>`
`#include <sys/types.h>`
Include dependency graph for coap_tcp.c:

Go to the source code of this file.

## Functions

int | coap_tcp_is_supported (void)
| Check whether TCP is available. More...
int | coap_socket_connect_tcp1 (coap_socket_t *sock, const coap_address_t *local_if, const coap_address_t *server, int default_port, coap_address_t *local_addr, coap_address_t *remote_addr)
| Create a new TCP socket and initiate the connection. More...
int | coap_socket_connect_tcp2 (coap_socket_t *sock, coap_address_t *local_addr, coap_address_t *remote_addr)
| Complete the TCP Connection. More...
int | coap_socket_bind_tcp (coap_socket_t *sock, const coap_address_t *listen_addr, coap_address_t *bound_addr)
| Create a new TCP socket and then listen for new incoming TCP sessions. More...
int | coap_socket_accept_tcp (coap_socket_t *server, coap_socket_t *new_client, coap_address_t *local_addr, coap_address_t *remote_addr)
| Accept a new incoming TCP session. More...

## Function Documentation

## coap_tcp_is_supported()

int coap_tcp_is_supported | ( | void |  | ) |

Check whether TCP is available.

Returns
  `1` if support for TCP is enabled, or `0` otherwise.

Definition at line 33 of file coap_tcp.c.

Here is the caller graph for this function: